database related issue while upgrading to the brand new 7.0 release

classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|

database related issue while upgrading to the brand new 7.0 release

rrodriguezIDIS
Hi all!

We have successfuly updated our XWiki  6.x installation along the whole 6 cycle, but I'm in troubles with the new 7.0 release. I think that with only the first four lines of the error stack

XWiki initialization failed !

Exception thrown during job execution
class java.lang.AbstractMethodError: null
    at org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
    at org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
...

Here you could find all catalina.out logged me after a Tomcat shutdown/start cycle and a call to XWiki in that server...

http://atriumkm.idisantiago.es/bin/download/ICT/XWikiUpgradeIssues/tomcatErrorLog.UpgradingTo70.txt


XWiki is running in a CentOS box...

[root@idis1 /]# cat /etc/centos-release
CentOS release 6.5 (Final)

With the following XWiki relevant pieces...

[root@idis1 /]# java -version
*java version "1.8.0_11"
Java(TM) SE Runtime Environment (build 1.8.0_11-b12)
Java HotSpot(TM) 64-Bit Server VM (build 25.11-b03, mixed mode)
... concerning JDBC
Since 1.7 -- new in the JDBC 4.1 API and part of the Java SE platform, version 7

*INFO: Starting Servlet Engine: Apache Tomcat/7.0.55
To the best of my knowledge, compatible with the new Servlet Spec as per...
http://tomcat.apache.org/whichversion.html
... from XWiki 7.0 Release Notes

mysql> status
--------------
*mysql  Ver 14.14 Distrib 5.5.38, for Linux (x86_64) using readline 5.1

*mysql-connector-java-5.0.8-bin.jar (2007-10-09)
Well, this piece is a good candidate for being identified as the poblem, but updating it to the last available release...
mysql-connector-java-5.1.35-bin.jar (2015-03-23)
...doesn't solve the issue.


As they are a lot of versions between mysql-connector-java-5.0.8-bin.jar (working for us nicely so far) and the newest mysql-connector-java-5.1.35-bin.jar (failing for us, at least with this combination of Java, Tomcat and MySQL), please, could you tell us if we are in the right direction? Should we update any other component but mysql-connector-java-x.y.z-bin.jar to get XWiki 7.0 working? Should we start trying one by one mysql-connector-java-x.y.z-bin.jar newer releases? Do you know which release introduces JDBC 4.1 support?


Thanks you so much for your help!

Ricardo

--
Ricardo Rodríguez
Research Management and Promotion Technician
Technical Secretariat
Health Research Institute of Santiago de Compostela (IDIS)
http://www.idisantiago.es

________________________________

Nota: A información contida nesta mensaxe e os seus posibles documentos adxuntos é privada e confidencial e está dirixida únicamente ó seu destinatario/a. Se vostede non é o/a destinatario/a orixinal desta mensaxe, por favor elimínea. A distribución ou copia desta mensaxe non está autorizada.

Nota: La información contenida en este mensaje y sus posibles documentos adjuntos es privada y confidencial y está dirigida únicamente a su destinatario/a. Si usted no es el/la destinatario/a original de este mensaje, por favor elimínelo. La distribución o copia de este mensaje no está autorizada.

See more languages: http://www.sergas.es/aviso_confidencialidad.htm
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
--
Ricardo Rodríguez
Research Management and Promotion Technician
Technical Secretariat
Health Research Institute of Santiago de Compostela (IDIS)
http://www.idisantiago.es
Reply | Threaded
Open this post in threaded view
|

Re: database related issue while upgrading to the brand new 7.0 release

Thomas Mortagne
Administrator
I just upgraded fro 6.4.3 to 7.0 on Ubuntu 14.04.2 and it went well.
The version of mysql driver there is 5.1.28.

On Thu, Apr 2, 2015 at 9:39 AM,
<[hidden email]> wrote:

> Hi all!
>
> We have successfuly updated our XWiki  6.x installation along the whole 6 cycle, but I'm in troubles with the new 7.0 release. I think that with only the first four lines of the error stack
>
> XWiki initialization failed !
>
> Exception thrown during job execution
> class java.lang.AbstractMethodError: null
>     at org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
>     at org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
> ...
>
> Here you could find all catalina.out logged me after a Tomcat shutdown/start cycle and a call to XWiki in that server...
>
> http://atriumkm.idisantiago.es/bin/download/ICT/XWikiUpgradeIssues/tomcatErrorLog.UpgradingTo70.txt
>
>
> XWiki is running in a CentOS box...
>
> [root@idis1 /]# cat /etc/centos-release
> CentOS release 6.5 (Final)
>
> With the following XWiki relevant pieces...
>
> [root@idis1 /]# java -version
> *java version "1.8.0_11"
> Java(TM) SE Runtime Environment (build 1.8.0_11-b12)
> Java HotSpot(TM) 64-Bit Server VM (build 25.11-b03, mixed mode)
> ... concerning JDBC
> Since 1.7 -- new in the JDBC 4.1 API and part of the Java SE platform, version 7
>
> *INFO: Starting Servlet Engine: Apache Tomcat/7.0.55
> To the best of my knowledge, compatible with the new Servlet Spec as per...
> http://tomcat.apache.org/whichversion.html
> ... from XWiki 7.0 Release Notes
>
> mysql> status
> --------------
> *mysql  Ver 14.14 Distrib 5.5.38, for Linux (x86_64) using readline 5.1
>
> *mysql-connector-java-5.0.8-bin.jar (2007-10-09)
> Well, this piece is a good candidate for being identified as the poblem, but updating it to the last available release...
> mysql-connector-java-5.1.35-bin.jar (2015-03-23)
> ...doesn't solve the issue.
>
>
> As they are a lot of versions between mysql-connector-java-5.0.8-bin.jar (working for us nicely so far) and the newest mysql-connector-java-5.1.35-bin.jar (failing for us, at least with this combination of Java, Tomcat and MySQL), please, could you tell us if we are in the right direction? Should we update any other component but mysql-connector-java-x.y.z-bin.jar to get XWiki 7.0 working? Should we start trying one by one mysql-connector-java-x.y.z-bin.jar newer releases? Do you know which release introduces JDBC 4.1 support?
>
>
> Thanks you so much for your help!
>
> Ricardo
>
> --
> Ricardo Rodríguez
> Research Management and Promotion Technician
> Technical Secretariat
> Health Research Institute of Santiago de Compostela (IDIS)
> http://www.idisantiago.es
>
> ________________________________
>
> Nota: A información contida nesta mensaxe e os seus posibles documentos adxuntos é privada e confidencial e está dirixida únicamente ó seu destinatario/a. Se vostede non é o/a destinatario/a orixinal desta mensaxe, por favor elimínea. A distribución ou copia desta mensaxe non está autorizada.
>
> Nota: La información contenida en este mensaje y sus posibles documentos adjuntos es privada y confidencial y está dirigida únicamente a su destinatario/a. Si usted no es el/la destinatario/a original de este mensaje, por favor elimínelo. La distribución o copia de este mensaje no está autorizada.
>
> See more languages: http://www.sergas.es/aviso_confidencialidad.htm
> _______________________________________________
> users mailing list
> [hidden email]
> http://lists.xwiki.org/mailman/listinfo/users



--
Thomas Mortagne
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: database related issue while upgrading to the brand new 7.0 release

vmassol
Administrator
In reply to this post by rrodriguezIDIS
Hi Ricardo,

We realized, after the release of XWiki 7.0 that due to our upgrade of DBCP to version 2.1 we’ve introduced a new requirement: JDBC 4 (I’m not sure if we require JDBC 4.0 or 4.1 actually, still trying to find out).  
See http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0
(http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0)  

(http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0)  
That said it seems that MySQL JDBC drivers 5.0.x are supposed to be JDBC4 compliant and version 5.1.x certainly are too.

Thomas has just tested XWiki 7.0 on MySQL with version 5.1.28 and it was working fine for him.  

The error you get is strange. ATM I don’t understand it. We’re going to do more tests on various DBs to see whether we need to rollback the DBCP upgrade or not.

Stay tuned.

Sorry about the problem

Thanks
-Vincent

On 2 Apr 2015 at 09:39:45, [hidden email] ([hidden email](mailto:[hidden email])) wrote:

> Hi all!
>  
> We have successfuly updated our XWiki 6.x installation along the whole 6 cycle, but I'm in troubles with the new 7.0 release. I think that with only the first four lines of the error stack
>  
> XWiki initialization failed !
>  
> Exception thrown during job execution
> class java.lang.AbstractMethodError: null
> at org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
> at org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
> ...
>  
> Here you could find all catalina.out logged me after a Tomcat shutdown/start cycle and a call to XWiki in that server...
>  
> http://atriumkm.idisantiago.es/bin/download/ICT/XWikiUpgradeIssues/tomcatErrorLog.UpgradingTo70.txt
>  
>  
> XWiki is running in a CentOS box...
>  
> [root@idis1 /]# cat /etc/centos-release
> CentOS release 6.5 (Final)
>  
> With the following XWiki relevant pieces...
>  
> [root@idis1 /]# java -version
> *java version "1.8.0_11"
> Java(TM) SE Runtime Environment (build 1.8.0_11-b12)
> Java HotSpot(TM) 64-Bit Server VM (build 25.11-b03, mixed mode)
> ... concerning JDBC
> Since 1.7 -- new in the JDBC 4.1 API and part of the Java SE platform, version 7
>  
> *INFO: Starting Servlet Engine: Apache Tomcat/7.0.55
> To the best of my knowledge, compatible with the new Servlet Spec as per...
> http://tomcat.apache.org/whichversion.html
> ... from XWiki 7.0 Release Notes
>  
> mysql> status
> --------------
> *mysql Ver 14.14 Distrib 5.5.38, for Linux (x86_64) using readline 5.1
>  
> *mysql-connector-java-5.0.8-bin.jar (2007-10-09)
> Well, this piece is a good candidate for being identified as the poblem, but updating it to the last available release...
> mysql-connector-java-5.1.35-bin.jar (2015-03-23)
> ...doesn't solve the issue.
>  
>  
> As they are a lot of versions between mysql-connector-java-5.0.8-bin.jar (working for us nicely so far) and the newest mysql-connector-java-5.1.35-bin.jar (failing for us, at least with this combination of Java, Tomcat and MySQL), please, could you tell us if we are in the right direction? Should we update any other component but mysql-connector-java-x.y.z-bin.jar to get XWiki 7.0 working? Should we start trying one by one mysql-connector-java-x.y.z-bin.jar newer releases? Do you know which release introduces JDBC 4.1 support?
>  
>  
> Thanks you so much for your help!
>  
> Ricardo

_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: database related issue while upgrading to the brand new 7.0 release

vmassol
Administrator
FTR I’ve just tested an upgrade from XWiki 5.4 to 7.0 on Oracle 11.2.0.2.0 with ojdbc6.jar and it worked fine! :)

This seems to mean that DBCP 2.1 only requires JDBC 4.0 (and not 4.1) since ojdbc6 doesn’t support JDBC 4.1 according to:
http://www.oracle.com/technetwork/database/enterprise-edition/jdbc-faq-090281.html#01_03

Thanks
-Vincent


On 2 Apr 2015 at 10:22:05, [hidden email] ([hidden email](mailto:[hidden email])) wrote:

> Hi Ricardo,
>  
> We realized, after the release of XWiki 7.0 that due to our upgrade of DBCP to version 2.1 we’ve introduced a new requirement: JDBC 4 (I’m not sure if we require JDBC 4.0 or 4.1 actually, still trying to find out).
> See http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0
> (http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0)
>  
> (http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0)
> That said it seems that MySQL JDBC drivers 5.0.x are supposed to be JDBC4 compliant and version 5.1.x certainly are too.
>  
> Thomas has just tested XWiki 7.0 on MySQL with version 5.1.28 and it was working fine for him.
>  
> The error you get is strange. ATM I don’t understand it. We’re going to do more tests on various DBs to see whether we need to rollback the DBCP upgrade or not.
>  
> Stay tuned.
>  
> Sorry about the problem
>  
> Thanks
> -Vincent
>  
> On 2 Apr 2015 at 09:39:45, [hidden email] ([hidden email](mailto:[hidden email])) wrote:
>  
> > Hi all!
> >
> > We have successfuly updated our XWiki 6.x installation along the whole 6 cycle, but I'm in troubles with the new 7.0 release. I think that with only the first four lines of the error stack
> >
> > XWiki initialization failed !
> >
> > Exception thrown during job execution
> > class java.lang.AbstractMethodError: null
> > at org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
> > at org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
> > ...
> >
> > Here you could find all catalina.out logged me after a Tomcat shutdown/start cycle and a call to XWiki in that server...
> >
> > http://atriumkm.idisantiago.es/bin/download/ICT/XWikiUpgradeIssues/tomcatErrorLog.UpgradingTo70.txt
> >
> >
> > XWiki is running in a CentOS box...
> >
> > [root@idis1 /]# cat /etc/centos-release
> > CentOS release 6.5 (Final)
> >
> > With the following XWiki relevant pieces...
> >
> > [root@idis1 /]# java -version
> > *java version "1.8.0_11"
> > Java(TM) SE Runtime Environment (build 1.8.0_11-b12)
> > Java HotSpot(TM) 64-Bit Server VM (build 25.11-b03, mixed mode)
> > ... concerning JDBC
> > Since 1.7 -- new in the JDBC 4.1 API and part of the Java SE platform, version 7
> >
> > *INFO: Starting Servlet Engine: Apache Tomcat/7.0.55
> > To the best of my knowledge, compatible with the new Servlet Spec as per...
> > http://tomcat.apache.org/whichversion.html
> > ... from XWiki 7.0 Release Notes
> >
> > mysql> status
> > --------------
> > *mysql Ver 14.14 Distrib 5.5.38, for Linux (x86_64) using readline 5.1
> >
> > *mysql-connector-java-5.0.8-bin.jar (2007-10-09)
> > Well, this piece is a good candidate for being identified as the poblem, but updating it to the last available release...
> > mysql-connector-java-5.1.35-bin.jar (2015-03-23)
> > ...doesn't solve the issue.
> >
> >
> > As they are a lot of versions between mysql-connector-java-5.0.8-bin.jar (working for us nicely so far) and the newest mysql-connector-java-5.1.35-bin.jar (failing for us, at least with this combination of Java, Tomcat and MySQL), please, could you tell us if we are in the right direction? Should we update any other component but mysql-connector-java-x.y.z-bin.jar to get XWiki 7.0 working? Should we start trying one by one mysql-connector-java-x.y.z-bin.jar newer releases? Do you know which release introduces JDBC 4.1 support?
> >
> >
> > Thanks you so much for your help!
> >
> > Ricardo
>  

_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: database related issue while upgrading to the brand new 7.0 release

rrodriguezIDIS
The 5.1.28 release of MySQL connector did the trick!

I've downloaded it from...

http://mvnrepository.com/artifact/mysql/mysql-connector-java

I'll keep enjoying XWiki! Thanks for your help,

Ricardo

--
Ricardo Rodríguez
Research Management and Promotion Technician
Technical Secretariat
Health Research Institute of Santiago de Compostela (IDIS)
http://www.idisantiago.es

________________________________________
De: Vincent Massol [[hidden email]] en nombre de [hidden email] [[hidden email]]
Enviado: jueves, 02 de abril de 2015 10:56
Para: XWiki Users
CC: Rodriguez Fernandez, Ricardo Julio
Asunto: Re: [xwiki-users] database related issue while upgrading to the brand new 7.0 release

FTR I’ve just tested an upgrade from XWiki 5.4 to 7.0 on Oracle 11.2.0.2.0 with ojdbc6.jar and it worked fine! :)

This seems to mean that DBCP 2.1 only requires JDBC 4.0 (and not 4.1) since ojdbc6 doesn’t support JDBC 4.1 according to:
http://www.oracle.com/technetwork/database/enterprise-edition/jdbc-faq-090281.html#01_03

Thanks
-Vincent


On 2 Apr 2015 at 10:22:05, [hidden email] ([hidden email](mailto:[hidden email])) wrote:

> Hi Ricardo,
>
> We realized, after the release of XWiki 7.0 that due to our upgrade of DBCP to version 2.1 we’ve introduced a new requirement: JDBC 4 (I’m not sure if we require JDBC 4.0 or 4.1 actually, still trying to find out).
> See http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0
> (http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0)
>
> (http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0)
> That said it seems that MySQL JDBC drivers 5.0.x are supposed to be JDBC4 compliant and version 5.1.x certainly are too.
>
> Thomas has just tested XWiki 7.0 on MySQL with version 5.1.28 and it was working fine for him.
>
> The error you get is strange. ATM I don’t understand it. We’re going to do more tests on various DBs to see whether we need to rollback the DBCP upgrade or not.
>
> Stay tuned.
>
> Sorry about the problem
>
> Thanks
> -Vincent
>
> On 2 Apr 2015 at 09:39:45, [hidden email] ([hidden email](mailto:[hidden email])) wrote:
>
> > Hi all!
> >
> > We have successfuly updated our XWiki 6.x installation along the whole 6 cycle, but I'm in troubles with the new 7.0 release. I think that with only the first four lines of the error stack
> >
> > XWiki initialization failed !
> >
> > Exception thrown during job execution
> > class java.lang.AbstractMethodError: null
> > at org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
> > at org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
> > ...
> >
> > Here you could find all catalina.out logged me after a Tomcat shutdown/start cycle and a call to XWiki in that server...
> >
> > http://atriumkm.idisantiago.es/bin/download/ICT/XWikiUpgradeIssues/tomcatErrorLog.UpgradingTo70.txt
> >
> >
> > XWiki is running in a CentOS box...
> >
> > [root@idis1 /]# cat /etc/centos-release
> > CentOS release 6.5 (Final)
> >
> > With the following XWiki relevant pieces...
> >
> > [root@idis1 /]# java -version
> > *java version "1.8.0_11"
> > Java(TM) SE Runtime Environment (build 1.8.0_11-b12)
> > Java HotSpot(TM) 64-Bit Server VM (build 25.11-b03, mixed mode)
> > ... concerning JDBC
> > Since 1.7 -- new in the JDBC 4.1 API and part of the Java SE platform, version 7
> >
> > *INFO: Starting Servlet Engine: Apache Tomcat/7.0.55
> > To the best of my knowledge, compatible with the new Servlet Spec as per...
> > http://tomcat.apache.org/whichversion.html
> > ... from XWiki 7.0 Release Notes
> >
> > mysql> status
> > --------------
> > *mysql Ver 14.14 Distrib 5.5.38, for Linux (x86_64) using readline 5.1
> >
> > *mysql-connector-java-5.0.8-bin.jar (2007-10-09)
> > Well, this piece is a good candidate for being identified as the poblem, but updating it to the last available release...
> > mysql-connector-java-5.1.35-bin.jar (2015-03-23)
> > ...doesn't solve the issue.
> >
> >
> > As they are a lot of versions between mysql-connector-java-5.0.8-bin.jar (working for us nicely so far) and the newest mysql-connector-java-5.1.35-bin.jar (failing for us, at least with this combination of Java, Tomcat and MySQL), please, could you tell us if we are in the right direction? Should we update any other component but mysql-connector-java-x.y.z-bin.jar to get XWiki 7.0 working? Should we start trying one by one mysql-connector-java-x.y.z-bin.jar newer releases? Do you know which release introduces JDBC 4.1 support?
> >
> >
> > Thanks you so much for your help!
> >
> > Ricardo
>

________________________________

Nota: A información contida nesta mensaxe e os seus posibles documentos adxuntos é privada e confidencial e está dirixida únicamente ó seu destinatario/a. Se vostede non é o/a destinatario/a orixinal desta mensaxe, por favor elimínea. A distribución ou copia desta mensaxe non está autorizada.

Nota: La información contenida en este mensaje y sus posibles documentos adjuntos es privada y confidencial y está dirigida únicamente a su destinatario/a. Si usted no es el/la destinatario/a original de este mensaje, por favor elimínelo. La distribución o copia de este mensaje no está autorizada.

See more languages: http://www.sergas.es/aviso_confidencialidad.htm
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
--
Ricardo Rodríguez
Research Management and Promotion Technician
Technical Secretariat
Health Research Institute of Santiago de Compostela (IDIS)
http://www.idisantiago.es
Reply | Threaded
Open this post in threaded view
|

Re: database related issue while upgrading to the brand new 7.0 release

vmassol
Administrator


On 2 Apr 2015 at 12:57:48, [hidden email] ([hidden email](mailto:[hidden email])) wrote:

> The 5.1.28 release of MySQL connector did the trick!

hmm so you’re saying that versions 5.0.8 and 5.1.35 don’t work but version 5.1.28 works?

That’s strange. Would be great if someone could try and confirm this so that we can put it on the XWiki MySQL document page...

Thanks
-Vincent

> I've downloaded it from...
>  
> http://mvnrepository.com/artifact/mysql/mysql-connector-java
>  
> I'll keep enjoying XWiki! Thanks for your help,
>  
> Ricardo
>  
> --
> Ricardo Rodríguez
> Research Management and Promotion Technician
> Technical Secretariat
> Health Research Institute of Santiago de Compostela (IDIS)
> http://www.idisantiago.es
>  
> ________________________________________
> De: Vincent Massol [[hidden email]] en nombre de [hidden email] [[hidden email]]
> Enviado: jueves, 02 de abril de 2015 10:56
> Para: XWiki Users
> CC: Rodriguez Fernandez, Ricardo Julio
> Asunto: Re: [xwiki-users] database related issue while upgrading to the brand new 7.0 release
>  
> FTR I’ve just tested an upgrade from XWiki 5.4 to 7.0 on Oracle 11.2.0.2.0 with ojdbc6.jar and it worked fine! :)
>  
> This seems to mean that DBCP 2.1 only requires JDBC 4.0 (and not 4.1) since ojdbc6 doesn’t support JDBC 4.1 according to:
> http://www.oracle.com/technetwork/database/enterprise-edition/jdbc-faq-090281.html#01_03
>  
> Thanks
> -Vincent
>  
>  
> On 2 Apr 2015 at 10:22:05, [hidden email] ([hidden email](mailto:[hidden email])) wrote:
>  
> > Hi Ricardo,
> >
> > We realized, after the release of XWiki 7.0 that due to our upgrade of DBCP to version 2.1 we’ve introduced a new requirement: JDBC 4 (I’m not sure if we require JDBC 4.0 or 4.1 actually, still trying to find out).
> > See http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0
> > (http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0)
> >
> > (http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0)
> > That said it seems that MySQL JDBC drivers 5.0.x are supposed to be JDBC4 compliant and version 5.1.x certainly are too.
> >
> > Thomas has just tested XWiki 7.0 on MySQL with version 5.1.28 and it was working fine for him.
> >
> > The error you get is strange. ATM I don’t understand it. We’re going to do more tests on various DBs to see whether we need to rollback the DBCP upgrade or not.
> >
> > Stay tuned.
> >
> > Sorry about the problem
> >
> > Thanks
> > -Vincent
> >
> > On 2 Apr 2015 at 09:39:45, [hidden email] ([hidden email](mailto:[hidden email])) wrote:
> >
> > > Hi all!
> > >
> > > We have successfuly updated our XWiki 6.x installation along the whole 6 cycle, but I'm in troubles with the new 7.0 release. I think that with only the first four lines of the error stack
> > >
> > > XWiki initialization failed !
> > >
> > > Exception thrown during job execution
> > > class java.lang.AbstractMethodError: null
> > > at org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
> > > at org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
> > > ...
> > >
> > > Here you could find all catalina.out logged me after a Tomcat shutdown/start cycle and a call to XWiki in that server...
> > >
> > > http://atriumkm.idisantiago.es/bin/download/ICT/XWikiUpgradeIssues/tomcatErrorLog.UpgradingTo70.txt
> > >
> > >
> > > XWiki is running in a CentOS box...
> > >
> > > [root@idis1 /]# cat /etc/centos-release
> > > CentOS release 6.5 (Final)
> > >
> > > With the following XWiki relevant pieces...
> > >
> > > [root@idis1 /]# java -version
> > > *java version "1.8.0_11"
> > > Java(TM) SE Runtime Environment (build 1.8.0_11-b12)
> > > Java HotSpot(TM) 64-Bit Server VM (build 25.11-b03, mixed mode)
> > > ... concerning JDBC
> > > Since 1.7 -- new in the JDBC 4.1 API and part of the Java SE platform, version 7
> > >
> > > *INFO: Starting Servlet Engine: Apache Tomcat/7.0.55
> > > To the best of my knowledge, compatible with the new Servlet Spec as per...
> > > http://tomcat.apache.org/whichversion.html
> > > ... from XWiki 7.0 Release Notes
> > >
> > > mysql> status
> > > --------------
> > > *mysql Ver 14.14 Distrib 5.5.38, for Linux (x86_64) using readline 5.1
> > >
> > > *mysql-connector-java-5.0.8-bin.jar (2007-10-09)
> > > Well, this piece is a good candidate for being identified as the poblem, but updating it to the last available release...
> > > mysql-connector-java-5.1.35-bin.jar (2015-03-23)
> > > ...doesn't solve the issue.
> > >
> > >
> > > As they are a lot of versions between mysql-connector-java-5.0.8-bin.jar (working for us nicely so far) and the newest mysql-connector-java-5.1.35-bin.jar (failing for us, at least with this combination of Java, Tomcat and MySQL), please, could you tell us if we are in the right direction? Should we update any other component but mysql-connector-java-x.y.z-bin.jar to get XWiki 7.0 working? Should we start trying one by one mysql-connector-java-x.y.z-bin.jar newer releases? Do you know which release introduces JDBC 4.1 support?
> > >
> > >
> > > Thanks you so much for your help!
> > >
> > > Ricardo
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: database related issue while upgrading to the brand new 7.0 release

rrodriguezIDIS

________________________________
De: Vincent Massol [[hidden email]] en nombre de [hidden email] [[hidden email]]
Enviado: jueves, 02 de abril de 2015 13:09
Para: XWiki Users
CC: Rodriguez Fernandez, Ricardo Julio
Asunto: Re: [xwiki-users] database related issue while upgrading to the brand new 7.0 release



On 2 Apr 2015 at 12:57:48, [hidden email] ([hidden email](mailto:[hidden email])) wrote:

>> The 5.1.28 release of MySQL connector did the trick!

>hmm so you’re saying that versions 5.0.8 and 5.1.35 don’t work but version 5.1.28 works?

Yes, this is at least what is happening here. The upgrade process seems to have been correctly completed. Here the log records I can see in when I shutdown and restart Tomcat with 5.1.28 on place...

http://atriumkm.idisantiago.es/bin/download/ICT/XWikiUpgradeIssues/tomcatErrorLog.UpgradingTo70.connector.5.1.28.txt

"memory leak" is a word combination that affrighting me!

Please, let me know if and how I could be of any futher help!

Cheers,

Ricardo


>That’s strange. Would be great if someone could try and confirm this so that we can put it on the XWiki MySQL document page...

>Thanks
>-Vincent

> I've downloaded it from...
>
> http://mvnrepository.com/artifact/mysql/mysql-connector-java
>
> I'll keep enjoying XWiki! Thanks for your help,
>
> Ricardo
>
> --
> Ricardo Rodríguez
> Research Management and Promotion Technician
> Technical Secretariat
> Health Research Institute of Santiago de Compostela (IDIS)
> http://www.idisantiago.es
>
> ________________________________________
> De: Vincent Massol [[hidden email]] en nombre de [hidden email] [[hidden email]]
> Enviado: jueves, 02 de abril de 2015 10:56
> Para: XWiki Users
> CC: Rodriguez Fernandez, Ricardo Julio
> Asunto: Re: [xwiki-users] database related issue while upgrading to the brand new 7.0 release
>
> FTR I’ve just tested an upgrade from XWiki 5.4 to 7.0 on Oracle 11.2.0.2.0 with ojdbc6.jar and it worked fine! :)
>
> This seems to mean that DBCP 2.1 only requires JDBC 4.0 (and not 4.1) since ojdbc6 doesn’t support JDBC 4.1 according to:
> http://www.oracle.com/technetwork/database/enterprise-edition/jdbc-faq-090281.html#01_03
>
> Thanks
> -Vincent
>
>
> On 2 Apr 2015 at 10:22:05, [hidden email] ([hidden email](mailto:[hidden email])) wrote:
>
> > Hi Ricardo,
> >
> > We realized, after the release of XWiki 7.0 that due to our upgrade of DBCP to version 2.1 we’ve introduced a new requirement: JDBC 4 (I’m not sure if we require JDBC 4.0 or 4.1 actually, still trying to find out).
> > See http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0
> > (http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0)
> >
> > (http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0)
> > That said it seems that MySQL JDBC drivers 5.0.x are supposed to be JDBC4 compliant and version 5.1.x certainly are too.
> >
> > Thomas has just tested XWiki 7.0 on MySQL with version 5.1.28 and it was working fine for him.
> >
> > The error you get is strange. ATM I don’t understand it. We’re going to do more tests on various DBs to see whether we need to rollback the DBCP upgrade or not.
> >
> > Stay tuned.
> >
> > Sorry about the problem
> >
> > Thanks
> > -Vincent
> >
> > On 2 Apr 2015 at 09:39:45, [hidden email] ([hidden email](mailto:[hidden email])) wrote:
> >
> > > Hi all!
> > >
> > > We have successfuly updated our XWiki 6.x installation along the whole 6 cycle, but I'm in troubles with the new 7.0 release. I think that with only the first four lines of the error stack
> > >
> > > XWiki initialization failed !
> > >
> > > Exception thrown during job execution
> > > class java.lang.AbstractMethodError: null
> > > at org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
> > > at org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
> > > ...
> > >
> > > Here you could find all catalina.out logged me after a Tomcat shutdown/start cycle and a call to XWiki in that server...
> > >
> > > http://atriumkm.idisantiago.es/bin/download/ICT/XWikiUpgradeIssues/tomcatErrorLog.UpgradingTo70.txt
> > >
> > >
> > > XWiki is running in a CentOS box...
> > >
> > > [root@idis1 /]# cat /etc/centos-release
> > > CentOS release 6.5 (Final)
> > >
> > > With the following XWiki relevant pieces...
> > >
> > > [root@idis1 /]# java -version
> > > *java version "1.8.0_11"
> > > Java(TM) SE Runtime Environment (build 1.8.0_11-b12)
> > > Java HotSpot(TM) 64-Bit Server VM (build 25.11-b03, mixed mode)
> > > ... concerning JDBC
> > > Since 1.7 -- new in the JDBC 4.1 API and part of the Java SE platform, version 7
> > >
> > > *INFO: Starting Servlet Engine: Apache Tomcat/7.0.55
> > > To the best of my knowledge, compatible with the new Servlet Spec as per...
> > > http://tomcat.apache.org/whichversion.html
> > > ... from XWiki 7.0 Release Notes
> > >
> > > mysql> status
> > > --------------
> > > *mysql Ver 14.14 Distrib 5.5.38, for Linux (x86_64) using readline 5.1
> > >
> > > *mysql-connector-java-5.0.8-bin.jar (2007-10-09)
> > > Well, this piece is a good candidate for being identified as the poblem, but updating it to the last available release...
> > > mysql-connector-java-5.1.35-bin.jar (2015-03-23)
> > > ...doesn't solve the issue.
> > >
> > >
> > > As they are a lot of versions between mysql-connector-java-5.0.8-bin.jar (working for us nicely so far) and the newest mysql-connector-java-5.1.35-bin.jar (failing for us, at least with this combination of Java, Tomcat and MySQL), please, could you tell us if we are in the right direction? Should we update any other component but mysql-connector-java-x.y.z-bin.jar to get XWiki 7.0 working? Should we start trying one by one mysql-connector-java-x.y.z-bin.jar newer releases? Do you know which release introduces JDBC 4.1 support?
> > >
> > >
> > > Thanks you so much for your help!
> > >
> > > Ricardo

________________________________

Nota: A información contida nesta mensaxe e os seus posibles documentos adxuntos é privada e confidencial e está dirixida únicamente ó seu destinatario/a. Se vostede non é o/a destinatario/a orixinal desta mensaxe, por favor elimínea. A distribución ou copia desta mensaxe non está autorizada.

Nota: La información contenida en este mensaje y sus posibles documentos adjuntos es privada y confidencial y está dirigida únicamente a su destinatario/a. Si usted no es el/la destinatario/a original de este mensaje, por favor elimínelo. La distribución o copia de este mensaje no está autorizada.

See more languages: http://www.sergas.es/aviso_confidencialidad.htm
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
--
Ricardo Rodríguez
Research Management and Promotion Technician
Technical Secretariat
Health Research Institute of Santiago de Compostela (IDIS)
http://www.idisantiago.es
Reply | Threaded
Open this post in threaded view
|

Re: database related issue while upgrading to the brand new 7.0 release

Manuel Smeria-2
Hello all,

I've just tested an upgrade from XWiki 6.4.3 to 7.0 on MySQL using the JDBC
driver v5.1.35 and I didn't have any problem.

Both the upgrade process and starting the XWiki server afterwards worked as
expected.

The only thing I did notice was this line:

"2015-04-06 12:11:07,687 [main] WARN  ltInstalledExtensionRepository -
Invalid extension
[org.xwiki.platform:xwiki-platform-search-lucene-ui-6.4.3] on namespace
[wiki:xwiki] (InvalidExtensionException: No compatible extension is
installed for dependency
[org.xwiki.platform:xwiki-platform-search-lucene-api-6.4.3])"

which is always displayed when starting the server.

Thanks,
Manuel

On Fri, Apr 3, 2015 at 2:03 AM, <[hidden email]
> wrote:

>
> ________________________________
> De: Vincent Massol [[hidden email]] en nombre de [hidden email] [
> [hidden email]]
> Enviado: jueves, 02 de abril de 2015 13:09
> Para: XWiki Users
> CC: Rodriguez Fernandez, Ricardo Julio
> Asunto: Re: [xwiki-users] database related issue while upgrading to the
> brand new 7.0 release
>
>
>
> On 2 Apr 2015 at 12:57:48, [hidden email] (
> [hidden email](mailto:
> [hidden email])) wrote:
>
> >> The 5.1.28 release of MySQL connector did the trick!
>
> >hmm so you’re saying that versions 5.0.8 and 5.1.35 don’t work but
> version 5.1.28 works?
>
> Yes, this is at least what is happening here. The upgrade process seems to
> have been correctly completed. Here the log records I can see in when I
> shutdown and restart Tomcat with 5.1.28 on place...
>
>
> http://atriumkm.idisantiago.es/bin/download/ICT/XWikiUpgradeIssues/tomcatErrorLog.UpgradingTo70.connector.5.1.28.txt
>
> "memory leak" is a word combination that affrighting me!
>
> Please, let me know if and how I could be of any futher help!
>
> Cheers,
>
> Ricardo
>
>
> >That’s strange. Would be great if someone could try and confirm this so
> that we can put it on the XWiki MySQL document page...
>
> >Thanks
> >-Vincent
>
> > I've downloaded it from...
> >
> > http://mvnrepository.com/artifact/mysql/mysql-connector-java
> >
> > I'll keep enjoying XWiki! Thanks for your help,
> >
> > Ricardo
> >
> > --
> > Ricardo Rodríguez
> > Research Management and Promotion Technician
> > Technical Secretariat
> > Health Research Institute of Santiago de Compostela (IDIS)
> > http://www.idisantiago.es
> >
> > ________________________________________
> > De: Vincent Massol [[hidden email]] en nombre de [hidden email] [
> [hidden email]]
> > Enviado: jueves, 02 de abril de 2015 10:56
> > Para: XWiki Users
> > CC: Rodriguez Fernandez, Ricardo Julio
> > Asunto: Re: [xwiki-users] database related issue while upgrading to the
> brand new 7.0 release
> >
> > FTR I’ve just tested an upgrade from XWiki 5.4 to 7.0 on Oracle
> 11.2.0.2.0 with ojdbc6.jar and it worked fine! :)
> >
> > This seems to mean that DBCP 2.1 only requires JDBC 4.0 (and not 4.1)
> since ojdbc6 doesn’t support JDBC 4.1 according to:
> >
> http://www.oracle.com/technetwork/database/enterprise-edition/jdbc-faq-090281.html#01_03
> >
> > Thanks
> > -Vincent
> >
> >
> > On 2 Apr 2015 at 10:22:05, [hidden email] ([hidden email]
> (mailto:[hidden email])) wrote:
> >
> > > Hi Ricardo,
> > >
> > > We realized, after the release of XWiki 7.0 that due to our upgrade of
> DBCP to version 2.1 we’ve introduced a new requirement: JDBC 4 (I’m not
> sure if we require JDBC 4.0 or 4.1 actually, still trying to find out).
> > > See
> http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0
> > > (
> http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0
> )
> > >
> > > (
> http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0
> )
> > > That said it seems that MySQL JDBC drivers 5.0.x are supposed to be
> JDBC4 compliant and version 5.1.x certainly are too.
> > >
> > > Thomas has just tested XWiki 7.0 on MySQL with version 5.1.28 and it
> was working fine for him.
> > >
> > > The error you get is strange. ATM I don’t understand it. We’re going
> to do more tests on various DBs to see whether we need to rollback the DBCP
> upgrade or not.
> > >
> > > Stay tuned.
> > >
> > > Sorry about the problem
> > >
> > > Thanks
> > > -Vincent
> > >
> > > On 2 Apr 2015 at 09:39:45, [hidden email]
> ([hidden email](mailto:
> [hidden email])) wrote:
> > >
> > > > Hi all!
> > > >
> > > > We have successfuly updated our XWiki 6.x installation along the
> whole 6 cycle, but I'm in troubles with the new 7.0 release. I think that
> with only the first four lines of the error stack
> > > >
> > > > XWiki initialization failed !
> > > >
> > > > Exception thrown during job execution
> > > > class java.lang.AbstractMethodError: null
> > > > at
> org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
> > > > at
> org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
> > > > ...
> > > >
> > > > Here you could find all catalina.out logged me after a Tomcat
> shutdown/start cycle and a call to XWiki in that server...
> > > >
> > > >
> http://atriumkm.idisantiago.es/bin/download/ICT/XWikiUpgradeIssues/tomcatErrorLog.UpgradingTo70.txt
> > > >
> > > >
> > > > XWiki is running in a CentOS box...
> > > >
> > > > [root@idis1 /]# cat /etc/centos-release
> > > > CentOS release 6.5 (Final)
> > > >
> > > > With the following XWiki relevant pieces...
> > > >
> > > > [root@idis1 /]# java -version
> > > > *java version "1.8.0_11"
> > > > Java(TM) SE Runtime Environment (build 1.8.0_11-b12)
> > > > Java HotSpot(TM) 64-Bit Server VM (build 25.11-b03, mixed mode)
> > > > ... concerning JDBC
> > > > Since 1.7 -- new in the JDBC 4.1 API and part of the Java SE
> platform, version 7
> > > >
> > > > *INFO: Starting Servlet Engine: Apache Tomcat/7.0.55
> > > > To the best of my knowledge, compatible with the new Servlet Spec as
> per...
> > > > http://tomcat.apache.org/whichversion.html
> > > > ... from XWiki 7.0 Release Notes
> > > >
> > > > mysql> status
> > > > --------------
> > > > *mysql Ver 14.14 Distrib 5.5.38, for Linux (x86_64) using readline
> 5.1
> > > >
> > > > *mysql-connector-java-5.0.8-bin.jar (2007-10-09)
> > > > Well, this piece is a good candidate for being identified as the
> poblem, but updating it to the last available release...
> > > > mysql-connector-java-5.1.35-bin.jar (2015-03-23)
> > > > ...doesn't solve the issue.
> > > >
> > > >
> > > > As they are a lot of versions between
> mysql-connector-java-5.0.8-bin.jar (working for us nicely so far) and the
> newest mysql-connector-java-5.1.35-bin.jar (failing for us, at least with
> this combination of Java, Tomcat and MySQL), please, could you tell us if
> we are in the right direction? Should we update any other component but
> mysql-connector-java-x.y.z-bin.jar to get XWiki 7.0 working? Should we
> start trying one by one mysql-connector-java-x.y.z-bin.jar newer releases?
> Do you know which release introduces JDBC 4.1 support?
> > > >
> > > >
> > > > Thanks you so much for your help!
> > > >
> > > > Ricardo
>
> ________________________________
>
> Nota: A información contida nesta mensaxe e os seus posibles documentos
> adxuntos é privada e confidencial e está dirixida únicamente ó seu
> destinatario/a. Se vostede non é o/a destinatario/a orixinal desta mensaxe,
> por favor elimínea. A distribución ou copia desta mensaxe non está
> autorizada.
>
> Nota: La información contenida en este mensaje y sus posibles documentos
> adjuntos es privada y confidencial y está dirigida únicamente a su
> destinatario/a. Si usted no es el/la destinatario/a original de este
> mensaje, por favor elimínelo. La distribución o copia de este mensaje no
> está autorizada.
>
> See more languages: http://www.sergas.es/aviso_confidencialidad.htm
> _______________________________________________
> users mailing list
> [hidden email]
> http://lists.xwiki.org/mailman/listinfo/users
>
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: database related issue while upgrading to the brand new 7.0 release

Thomas Mortagne
Administrator
On Mon, Apr 6, 2015 at 11:16 AM, Manuel Smeria <[hidden email]> wrote:

> Hello all,
>
> I've just tested an upgrade from XWiki 6.4.3 to 7.0 on MySQL using the JDBC
> driver v5.1.35 and I didn't have any problem.
>
> Both the upgrade process and starting the XWiki server afterwards worked as
> expected.
>
> The only thing I did notice was this line:
>
> "2015-04-06 12:11:07,687 [main] WARN  ltInstalledExtensionRepository -
> Invalid extension
> [org.xwiki.platform:xwiki-platform-search-lucene-ui-6.4.3] on namespace
> [wiki:xwiki] (InvalidExtensionException: No compatible extension is
> installed for dependency
> [org.xwiki.platform:xwiki-platform-search-lucene-api-6.4.3])"

Lucene module is not part of the WAR anymore so it's just talling you
that you have Lucene UI which is not valid anymore.

>
> which is always displayed when starting the server.
>
> Thanks,
> Manuel
>
> On Fri, Apr 3, 2015 at 2:03 AM, <[hidden email]
>> wrote:
>
>>
>> ________________________________
>> De: Vincent Massol [[hidden email]] en nombre de [hidden email] [
>> [hidden email]]
>> Enviado: jueves, 02 de abril de 2015 13:09
>> Para: XWiki Users
>> CC: Rodriguez Fernandez, Ricardo Julio
>> Asunto: Re: [xwiki-users] database related issue while upgrading to the
>> brand new 7.0 release
>>
>>
>>
>> On 2 Apr 2015 at 12:57:48, [hidden email] (
>> [hidden email](mailto:
>> [hidden email])) wrote:
>>
>> >> The 5.1.28 release of MySQL connector did the trick!
>>
>> >hmm so you’re saying that versions 5.0.8 and 5.1.35 don’t work but
>> version 5.1.28 works?
>>
>> Yes, this is at least what is happening here. The upgrade process seems to
>> have been correctly completed. Here the log records I can see in when I
>> shutdown and restart Tomcat with 5.1.28 on place...
>>
>>
>> http://atriumkm.idisantiago.es/bin/download/ICT/XWikiUpgradeIssues/tomcatErrorLog.UpgradingTo70.connector.5.1.28.txt
>>
>> "memory leak" is a word combination that affrighting me!
>>
>> Please, let me know if and how I could be of any futher help!
>>
>> Cheers,
>>
>> Ricardo
>>
>>
>> >That’s strange. Would be great if someone could try and confirm this so
>> that we can put it on the XWiki MySQL document page...
>>
>> >Thanks
>> >-Vincent
>>
>> > I've downloaded it from...
>> >
>> > http://mvnrepository.com/artifact/mysql/mysql-connector-java
>> >
>> > I'll keep enjoying XWiki! Thanks for your help,
>> >
>> > Ricardo
>> >
>> > --
>> > Ricardo Rodríguez
>> > Research Management and Promotion Technician
>> > Technical Secretariat
>> > Health Research Institute of Santiago de Compostela (IDIS)
>> > http://www.idisantiago.es
>> >
>> > ________________________________________
>> > De: Vincent Massol [[hidden email]] en nombre de [hidden email] [
>> [hidden email]]
>> > Enviado: jueves, 02 de abril de 2015 10:56
>> > Para: XWiki Users
>> > CC: Rodriguez Fernandez, Ricardo Julio
>> > Asunto: Re: [xwiki-users] database related issue while upgrading to the
>> brand new 7.0 release
>> >
>> > FTR I’ve just tested an upgrade from XWiki 5.4 to 7.0 on Oracle
>> 11.2.0.2.0 with ojdbc6.jar and it worked fine! :)
>> >
>> > This seems to mean that DBCP 2.1 only requires JDBC 4.0 (and not 4.1)
>> since ojdbc6 doesn’t support JDBC 4.1 according to:
>> >
>> http://www.oracle.com/technetwork/database/enterprise-edition/jdbc-faq-090281.html#01_03
>> >
>> > Thanks
>> > -Vincent
>> >
>> >
>> > On 2 Apr 2015 at 10:22:05, [hidden email] ([hidden email]
>> (mailto:[hidden email])) wrote:
>> >
>> > > Hi Ricardo,
>> > >
>> > > We realized, after the release of XWiki 7.0 that due to our upgrade of
>> DBCP to version 2.1 we’ve introduced a new requirement: JDBC 4 (I’m not
>> sure if we require JDBC 4.0 or 4.1 actually, still trying to find out).
>> > > See
>> http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0
>> > > (
>> http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0
>> )
>> > >
>> > > (
>> http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0
>> )
>> > > That said it seems that MySQL JDBC drivers 5.0.x are supposed to be
>> JDBC4 compliant and version 5.1.x certainly are too.
>> > >
>> > > Thomas has just tested XWiki 7.0 on MySQL with version 5.1.28 and it
>> was working fine for him.
>> > >
>> > > The error you get is strange. ATM I don’t understand it. We’re going
>> to do more tests on various DBs to see whether we need to rollback the DBCP
>> upgrade or not.
>> > >
>> > > Stay tuned.
>> > >
>> > > Sorry about the problem
>> > >
>> > > Thanks
>> > > -Vincent
>> > >
>> > > On 2 Apr 2015 at 09:39:45, [hidden email]
>> ([hidden email](mailto:
>> [hidden email])) wrote:
>> > >
>> > > > Hi all!
>> > > >
>> > > > We have successfuly updated our XWiki 6.x installation along the
>> whole 6 cycle, but I'm in troubles with the new 7.0 release. I think that
>> with only the first four lines of the error stack
>> > > >
>> > > > XWiki initialization failed !
>> > > >
>> > > > Exception thrown during job execution
>> > > > class java.lang.AbstractMethodError: null
>> > > > at
>> org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
>> > > > at
>> org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
>> > > > ...
>> > > >
>> > > > Here you could find all catalina.out logged me after a Tomcat
>> shutdown/start cycle and a call to XWiki in that server...
>> > > >
>> > > >
>> http://atriumkm.idisantiago.es/bin/download/ICT/XWikiUpgradeIssues/tomcatErrorLog.UpgradingTo70.txt
>> > > >
>> > > >
>> > > > XWiki is running in a CentOS box...
>> > > >
>> > > > [root@idis1 /]# cat /etc/centos-release
>> > > > CentOS release 6.5 (Final)
>> > > >
>> > > > With the following XWiki relevant pieces...
>> > > >
>> > > > [root@idis1 /]# java -version
>> > > > *java version "1.8.0_11"
>> > > > Java(TM) SE Runtime Environment (build 1.8.0_11-b12)
>> > > > Java HotSpot(TM) 64-Bit Server VM (build 25.11-b03, mixed mode)
>> > > > ... concerning JDBC
>> > > > Since 1.7 -- new in the JDBC 4.1 API and part of the Java SE
>> platform, version 7
>> > > >
>> > > > *INFO: Starting Servlet Engine: Apache Tomcat/7.0.55
>> > > > To the best of my knowledge, compatible with the new Servlet Spec as
>> per...
>> > > > http://tomcat.apache.org/whichversion.html
>> > > > ... from XWiki 7.0 Release Notes
>> > > >
>> > > > mysql> status
>> > > > --------------
>> > > > *mysql Ver 14.14 Distrib 5.5.38, for Linux (x86_64) using readline
>> 5.1
>> > > >
>> > > > *mysql-connector-java-5.0.8-bin.jar (2007-10-09)
>> > > > Well, this piece is a good candidate for being identified as the
>> poblem, but updating it to the last available release...
>> > > > mysql-connector-java-5.1.35-bin.jar (2015-03-23)
>> > > > ...doesn't solve the issue.
>> > > >
>> > > >
>> > > > As they are a lot of versions between
>> mysql-connector-java-5.0.8-bin.jar (working for us nicely so far) and the
>> newest mysql-connector-java-5.1.35-bin.jar (failing for us, at least with
>> this combination of Java, Tomcat and MySQL), please, could you tell us if
>> we are in the right direction? Should we update any other component but
>> mysql-connector-java-x.y.z-bin.jar to get XWiki 7.0 working? Should we
>> start trying one by one mysql-connector-java-x.y.z-bin.jar newer releases?
>> Do you know which release introduces JDBC 4.1 support?
>> > > >
>> > > >
>> > > > Thanks you so much for your help!
>> > > >
>> > > > Ricardo
>>
>> ________________________________
>>
>> Nota: A información contida nesta mensaxe e os seus posibles documentos
>> adxuntos é privada e confidencial e está dirixida únicamente ó seu
>> destinatario/a. Se vostede non é o/a destinatario/a orixinal desta mensaxe,
>> por favor elimínea. A distribución ou copia desta mensaxe non está
>> autorizada.
>>
>> Nota: La información contenida en este mensaje y sus posibles documentos
>> adjuntos es privada y confidencial y está dirigida únicamente a su
>> destinatario/a. Si usted no es el/la destinatario/a original de este
>> mensaje, por favor elimínelo. La distribución o copia de este mensaje no
>> está autorizada.
>>
>> See more languages: http://www.sergas.es/aviso_confidencialidad.htm
>> _______________________________________________
>> users mailing list
>> [hidden email]
>> http://lists.xwiki.org/mailman/listinfo/users
>>
> _______________________________________________
> users mailing list
> [hidden email]
> http://lists.xwiki.org/mailman/listinfo/users



--
Thomas Mortagne
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: database related issue while upgrading to the brand new 7.0 release

rrodriguezIDIS
mysql-connector-java-5.1.35-bin.jar working fine here now. The point is that the update failed with 5.1.35, but succeed with 5.1.28. Now, I've substituted 5.1.28 with 5.1.35 and the server started and runs correctly. Here a file containing log messages from the shutdown with 5.1.28 to a restart cycle with versio 5.1.35 on place.

http://goo.gl/KIv60m

Please, do the logged errors some sense for you? It these messages are in any way relevant, could we help in any way to identiy the issue?

Thanks for your work!

Ricardo

--
Ricardo Rodríguez
Research Management and Promotion Technician
Technical Secretariat
Health Research Institute of Santiago de Compostela (IDIS)
http://www.idisantiago.es

________________________________________
De: users [[hidden email]] en nombre de Thomas Mortagne [[hidden email]]
Enviado: lunes, 06 de abril de 2015 21:10
Para: XWiki Users
Asunto: Re: [xwiki-users] database related issue while upgrading to the brand new 7.0 release

On Mon, Apr 6, 2015 at 11:16 AM, Manuel Smeria <[hidden email]> wrote:

> Hello all,
>
> I've just tested an upgrade from XWiki 6.4.3 to 7.0 on MySQL using the JDBC
> driver v5.1.35 and I didn't have any problem.
>
> Both the upgrade process and starting the XWiki server afterwards worked as
> expected.
>
> The only thing I did notice was this line:
>
> "2015-04-06 12:11:07,687 [main] WARN  ltInstalledExtensionRepository -
> Invalid extension
> [org.xwiki.platform:xwiki-platform-search-lucene-ui-6.4.3] on namespace
> [wiki:xwiki] (InvalidExtensionException: No compatible extension is
> installed for dependency
> [org.xwiki.platform:xwiki-platform-search-lucene-api-6.4.3])"

Lucene module is not part of the WAR anymore so it's just talling you
that you have Lucene UI which is not valid anymore.

>
> which is always displayed when starting the server.
>
> Thanks,
> Manuel
>
> On Fri, Apr 3, 2015 at 2:03 AM, <[hidden email]
>> wrote:
>
>>
>> ________________________________
>> De: Vincent Massol [[hidden email]] en nombre de [hidden email] [
>> [hidden email]]
>> Enviado: jueves, 02 de abril de 2015 13:09
>> Para: XWiki Users
>> CC: Rodriguez Fernandez, Ricardo Julio
>> Asunto: Re: [xwiki-users] database related issue while upgrading to the
>> brand new 7.0 release
>>
>>
>>
>> On 2 Apr 2015 at 12:57:48, [hidden email] (
>> [hidden email](mailto:
>> [hidden email])) wrote:
>>
>> >> The 5.1.28 release of MySQL connector did the trick!
>>
>> >hmm so you’re saying that versions 5.0.8 and 5.1.35 don’t work but
>> version 5.1.28 works?
>>
>> Yes, this is at least what is happening here. The upgrade process seems to
>> have been correctly completed. Here the log records I can see in when I
>> shutdown and restart Tomcat with 5.1.28 on place...
>>
>>
>> http://atriumkm.idisantiago.es/bin/download/ICT/XWikiUpgradeIssues/tomcatErrorLog.UpgradingTo70.connector.5.1.28.txt
>>
>> "memory leak" is a word combination that affrighting me!
>>
>> Please, let me know if and how I could be of any futher help!
>>
>> Cheers,
>>
>> Ricardo
>>
>>
>> >That’s strange. Would be great if someone could try and confirm this so
>> that we can put it on the XWiki MySQL document page...
>>
>> >Thanks
>> >-Vincent
>>
>> > I've downloaded it from...
>> >
>> > http://mvnrepository.com/artifact/mysql/mysql-connector-java
>> >
>> > I'll keep enjoying XWiki! Thanks for your help,
>> >
>> > Ricardo
>> >
>> > --
>> > Ricardo Rodríguez
>> > Research Management and Promotion Technician
>> > Technical Secretariat
>> > Health Research Institute of Santiago de Compostela (IDIS)
>> > http://www.idisantiago.es
>> >
>> > ________________________________________
>> > De: Vincent Massol [[hidden email]] en nombre de [hidden email] [
>> [hidden email]]
>> > Enviado: jueves, 02 de abril de 2015 10:56
>> > Para: XWiki Users
>> > CC: Rodriguez Fernandez, Ricardo Julio
>> > Asunto: Re: [xwiki-users] database related issue while upgrading to the
>> brand new 7.0 release
>> >
>> > FTR I’ve just tested an upgrade from XWiki 5.4 to 7.0 on Oracle
>> 11.2.0.2.0 with ojdbc6.jar and it worked fine! :)
>> >
>> > This seems to mean that DBCP 2.1 only requires JDBC 4.0 (and not 4.1)
>> since ojdbc6 doesn’t support JDBC 4.1 according to:
>> >
>> http://www.oracle.com/technetwork/database/enterprise-edition/jdbc-faq-090281.html#01_03
>> >
>> > Thanks
>> > -Vincent
>> >
>> >
>> > On 2 Apr 2015 at 10:22:05, [hidden email] ([hidden email]
>> (mailto:[hidden email])) wrote:
>> >
>> > > Hi Ricardo,
>> > >
>> > > We realized, after the release of XWiki 7.0 that due to our upgrade of
>> DBCP to version 2.1 we’ve introduced a new requirement: JDBC 4 (I’m not
>> sure if we require JDBC 4.0 or 4.1 actually, still trying to find out).
>> > > See
>> http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0
>> > > (
>> http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0
>> )
>> > >
>> > > (
>> http://www.xwiki.org/xwiki/bin/view/ReleaseNotes/ReleaseNotesXWiki70#HIssuesspecifictoXWiki7.0
>> )
>> > > That said it seems that MySQL JDBC drivers 5.0.x are supposed to be
>> JDBC4 compliant and version 5.1.x certainly are too.
>> > >
>> > > Thomas has just tested XWiki 7.0 on MySQL with version 5.1.28 and it
>> was working fine for him.
>> > >
>> > > The error you get is strange. ATM I don’t understand it. We’re going
>> to do more tests on various DBs to see whether we need to rollback the DBCP
>> upgrade or not.
>> > >
>> > > Stay tuned.
>> > >
>> > > Sorry about the problem
>> > >
>> > > Thanks
>> > > -Vincent
>> > >
>> > > On 2 Apr 2015 at 09:39:45, [hidden email]
>> ([hidden email](mailto:
>> [hidden email])) wrote:
>> > >
>> > > > Hi all!
>> > > >
>> > > > We have successfuly updated our XWiki 6.x installation along the
>> whole 6 cycle, but I'm in troubles with the new 7.0 release. I think that
>> with only the first four lines of the error stack
>> > > >
>> > > > XWiki initialization failed !
>> > > >
>> > > > Exception thrown during job execution
>> > > > class java.lang.AbstractMethodError: null
>> > > > at
>> org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
>> > > > at
>> org.apache.commons.dbcp2.DelegatingConnection.isValid(DelegatingConnection.java:914)
>> > > > ...
>> > > >
>> > > > Here you could find all catalina.out logged me after a Tomcat
>> shutdown/start cycle and a call to XWiki in that server...
>> > > >
>> > > >
>> http://atriumkm.idisantiago.es/bin/download/ICT/XWikiUpgradeIssues/tomcatErrorLog.UpgradingTo70.txt
>> > > >
>> > > >
>> > > > XWiki is running in a CentOS box...
>> > > >
>> > > > [root@idis1 /]# cat /etc/centos-release
>> > > > CentOS release 6.5 (Final)
>> > > >
>> > > > With the following XWiki relevant pieces...
>> > > >
>> > > > [root@idis1 /]# java -version
>> > > > *java version "1.8.0_11"
>> > > > Java(TM) SE Runtime Environment (build 1.8.0_11-b12)
>> > > > Java HotSpot(TM) 64-Bit Server VM (build 25.11-b03, mixed mode)
>> > > > ... concerning JDBC
>> > > > Since 1.7 -- new in the JDBC 4.1 API and part of the Java SE
>> platform, version 7
>> > > >
>> > > > *INFO: Starting Servlet Engine: Apache Tomcat/7.0.55
>> > > > To the best of my knowledge, compatible with the new Servlet Spec as
>> per...
>> > > > http://tomcat.apache.org/whichversion.html
>> > > > ... from XWiki 7.0 Release Notes
>> > > >
>> > > > mysql> status
>> > > > --------------
>> > > > *mysql Ver 14.14 Distrib 5.5.38, for Linux (x86_64) using readline
>> 5.1
>> > > >
>> > > > *mysql-connector-java-5.0.8-bin.jar (2007-10-09)
>> > > > Well, this piece is a good candidate for being identified as the
>> poblem, but updating it to the last available release...
>> > > > mysql-connector-java-5.1.35-bin.jar (2015-03-23)
>> > > > ...doesn't solve the issue.
>> > > >
>> > > >
>> > > > As they are a lot of versions between
>> mysql-connector-java-5.0.8-bin.jar (working for us nicely so far) and the
>> newest mysql-connector-java-5.1.35-bin.jar (failing for us, at least with
>> this combination of Java, Tomcat and MySQL), please, could you tell us if
>> we are in the right direction? Should we update any other component but
>> mysql-connector-java-x.y.z-bin.jar to get XWiki 7.0 working? Should we
>> start trying one by one mysql-connector-java-x.y.z-bin.jar newer releases?
>> Do you know which release introduces JDBC 4.1 support?
>> > > >
>> > > >
>> > > > Thanks you so much for your help!
>> > > >
>> > > > Ricardo
>>
>> ________________________________
>>
>> Nota: A información contida nesta mensaxe e os seus posibles documentos
>> adxuntos é privada e confidencial e está dirixida únicamente ó seu
>> destinatario/a. Se vostede non é o/a destinatario/a orixinal desta mensaxe,
>> por favor elimínea. A distribución ou copia desta mensaxe non está
>> autorizada.
>>
>> Nota: La información contenida en este mensaje y sus posibles documentos
>> adjuntos es privada y confidencial y está dirigida únicamente a su
>> destinatario/a. Si usted no es el/la destinatario/a original de este
>> mensaje, por favor elimínelo. La distribución o copia de este mensaje no
>> está autorizada.
>>
>> See more languages: http://www.sergas.es/aviso_confidencialidad.htm
>> _______________________________________________
>> users mailing list
>> [hidden email]
>> http://lists.xwiki.org/mailman/listinfo/users
>>
> _______________________________________________
> users mailing list
> [hidden email]
> http://lists.xwiki.org/mailman/listinfo/users



--
Thomas Mortagne
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users

________________________________

Nota: A información contida nesta mensaxe e os seus posibles documentos adxuntos é privada e confidencial e está dirixida únicamente ó seu destinatario/a. Se vostede non é o/a destinatario/a orixinal desta mensaxe, por favor elimínea. A distribución ou copia desta mensaxe non está autorizada.

Nota: La información contenida en este mensaje y sus posibles documentos adjuntos es privada y confidencial y está dirigida únicamente a su destinatario/a. Si usted no es el/la destinatario/a original de este mensaje, por favor elimínelo. La distribución o copia de este mensaje no está autorizada.

See more languages: http://www.sergas.es/aviso_confidencialidad.htm
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
--
Ricardo Rodríguez
Research Management and Promotion Technician
Technical Secretariat
Health Research Institute of Santiago de Compostela (IDIS)
http://www.idisantiago.es